<?
session_start();

if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../../conex.php");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Graba Comprobante C.Libro Compra</title>
</head>

<body>
<?

$ano = substr($fecha_comprobante,0,4);
$fecha_sistema=$fecha_comprobante;
$hora_sistema='12:00';
$mi_usuario=$id_user;
$nuevo_comprobante=0;
$wsql = "select numero from sb_conta_eit where cod_empresa = $id_empresa AND year(fecha) = $ano order by numero desc";
//echo $wsql;

	$nuevo_comp = mysql_query($wsql, $enlace);
	
		$nuevo_comprobante=mysql_result($nuevo_comp, 0, "numero");
		


if ($nuevo_comprobante == '' || $nuevo_comprobante == 0){
    $numero_comprobante = 1;
}else{
    $numero_comprobante = $nuevo_comprobante + 1;
}


//echo "----".$numero_comprobante."-----";

$num_reg=$cantidad_filas_ingreso+1;
$suma_cargo=0;
$suma_abono=0;
for($i=1;$i<=$num_reg;$i++)
	{
$suma_cargo=$suma_cargo+$cargo[$i];
$suma_abono=$suma_abono+$abono[$i];

	//echo "iiiiiiiiiiiiiiiiii ".$i."]]]]]]]]]]]]]]]]]]]";
	//echo $cargo[$i]."--".$abono[$i]."<br>";
	};

if($suma_cargo>0 && $suma_abono>0){
	if($suma_cargo!=$suma_abono){
		?><script>alert("Comprobante no cuadrado:<?=$suma_cargo."--".$suma_abono?>")</script><?
		exit();	
	}
}else{
?><script>alert("Comprobante no cuadrado")</script><?
exit();
}

$wsql = "INSERT into sb_conta_eit ( cod_empresa, cod_tipo, numero, fecha, glosa, valor, usuario, fecha_hora_proceso, nulo, usuario_anula, traspaso ) VALUES ($id_empresa, 'Traspaso', $numero_comprobante, '$fecha_comprobante', '$glosa_comprobante', $suma_cargo, $mi_usuario, '$fecha_sistema', 0, 0, 'C' )";

$graba_comprobante = mysql_query($wsql, $enlace);
$mi_id = mysql_insert_id();


if ($mi_id==0)
       {
		?>
		<script language="javascript" type="text/javascript">
		alert("El Registro NO fué grabado...\n inténtelo nuevamente... o llame a computacion para reportar el problema...");
		window.close();
		</script>
		<?
		exit();
       }


$num_reg=$cantidad_filas_ingreso;
for($i=1;$i<=$num_reg;$i++)
	{
	if($cargo[$i]=='')$cargo[$i]=0;
	if($abono[$i]=='')$abono[$i]=0;
	//echo "iiiiiiiiiiiiiiiiii ".$i."]]]]]]]]]]]]]]]]]]]".$glosa[$i];

	$wsql = "INSERT INTO sb_conta_cta (cod_empresa, numero_eit, fecha, id_sb_conta_eit, id_plan_cuenta, codigo_contable, glosa, cargo, abono, linea_en_comprobante) VALUES ($id_empresa, $numero_comprobante, '$fecha_comprobante', $mi_id, $id_cuenta[$i],  $cuenta[$i], '$glosa[$i]', $cargo[$i], $abono[$i], $i )";		
	$graba_comprobante_detalle=mysql_query($wsql, $enlace);
		//echo "<br>".$wsql;
		//$graba_comprobante_detalle = $db->consulta_free($wsql);
	}


$sqlfs = "UPDATE entrada SET  traspaso='".$numero_comprobante."'   
 WHERE extract(month from entrada.fecha_libro)='".$mi_mes."' 
AND extract(year from entrada.fecha_libro)='".$mi_ano."' AND 
empresa ='".$id_empresa."' AND tipo_dcto IN (30 ,55 ,60, 33, 34, 56, 61)  and traspaso='0' ";
		// echo $sqlfs;

		  	$resfs = mysql_query($sqlfs,$enlace);
?>

<script>
function visualizador_comprobante(){
ventana1 = window.open('comprobante_contable.php?numero_comp=<?=$numero_comprobante?>&ano=<?=$ano?>&Codigo_Empresa=<?=$id_empresa?>','popupwin1','status,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes,width=800,height=800,left=300,top=200');
window.open('','_parent','');window.close();
};
visualizador_comprobante();
</script>
</body>
</html>
